Bug 6170 - 'More options' in advanced search broken
Summary: 'More options' in advanced search broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Colin Campbell
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-04-11 21:01 UTC by Katrin Fischer
Modified: 2012-10-25 23:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch for 3.2 and master (1.05 KB, patch)
2011-04-12 12:30 UTC, Colin Campbell
Details | Diff | Splinter Review
Proposed Patch (opac) (4.82 KB, patch)
2011-04-12 13:47 UTC, Colin Campbell
Details | Diff | Splinter Review
Proposed Patch (Intranet) (2.45 KB, patch)
2011-04-12 14:09 UTC, Colin Campbell
Details | Diff | Splinter Review
Signed off - 3895: Proposed patch for 3.2 and master (1.12 KB, patch)
2011-04-12 20:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed off: 3898: Proposed Patch (opac) (4.89 KB, patch)
2011-04-12 20:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Signed off: 3899: Proposed Patch (Intranet) (2.52 KB, patch)
2011-04-12 20:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot of new box surrounding search options in staff (7.47 KB, image/png)
2011-04-12 20:59 UTC, Katrin Fischer
Details
Follow-up fix for layout issues (12.46 KB, patch)
2011-05-16 20:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Signed-off follow-up patch for layout issues (12.53 KB, patch)
2011-05-19 06:06 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-04-11 21:01:22 UTC
When you click on 'More options' in advanced search in OPAC the dropdowns for boolean values and the + for adding more fields don't show up.

The problem also exists in intranet. Additionally the layout is slightly broken there. The search options are surrounded by big boxes with a light border line.

There is also a small error in the description of the 'Publication date range' search field: "2008minus"
Comment 1 Colin Campbell 2011-04-12 12:09:18 UTC
Not a template-toolkit driven bug. Can reproduce it on the 3.2.x branch 
If OPACGroupResults option is set the scripts logic to select a template is short circuited and we go to opac-grouped-results not advsearch.
Comment 2 Colin Campbell 2011-04-12 12:30:22 UTC Comment hidden (obsolete)
Comment 3 Colin Campbell 2011-04-12 13:47:07 UTC Comment hidden (obsolete)
Comment 4 Colin Campbell 2011-04-12 14:09:11 UTC Comment hidden (obsolete)
Comment 5 Colin Campbell 2011-04-12 14:11:24 UTC
Not 100% sure that this addresses the layout issue. Can you test the patch and comment
Comment 6 Katrin Fischer 2011-04-12 20:47:18 UTC
Created attachment 3901 [details] [review]
Signed off - 3895: Proposed patch for 3.2 and master
Comment 7 Katrin Fischer 2011-04-12 20:47:54 UTC
Created attachment 3902 [details] [review]
Signed off: 3898: Proposed Patch (opac)
Comment 8 Katrin Fischer 2011-04-12 20:48:58 UTC
Created attachment 3903 [details] [review]
Signed off: 3899: Proposed Patch (Intranet)
Comment 9 Katrin Fischer 2011-04-12 20:59:45 UTC
Created attachment 3904 [details]
screenshot of new box surrounding search options in staff

I signed off on the patches:
- the desciption is fixed
- the more/fewer links work now
- changing the syspref for opacgroupedresults didn't change that

I still see a problem with the layout in staff. There is an additional box surrounding each search option, that takes a more space than before and has a border line.
Comment 10 Chris Cormack 2011-04-12 23:01:20 UTC
Patches pushed
Comment 11 Magnus Enger 2011-05-16 09:15:53 UTC
Should something be done about the layout, or can this bug be marked as fixed?
Comment 12 Owen Leonard 2011-05-16 20:05:08 UTC Comment hidden (obsolete)
Comment 13 Katrin Fischer 2011-05-19 06:06:18 UTC
Created attachment 4180 [details] [review]
Signed-off follow-up patch for layout issues
Comment 14 Chris Cormack 2011-05-29 01:55:26 UTC
Pushed the follow up